	<div class="blockform">
		<h2><span>Censoring</span></h2>
		<div class="box">
			<form id="censoring" method="post" action="<%= url_for :action => 'index' %>">
				<div class="inform">
					<fieldset>
						<legend>Add word</legend>
						<div class="infldset">
							<p>Enter a word that you want to censor and the replacement text for this word. Wildcards are accepted (i.e. *some* would match somewhere and lonesome). Censor words also affect usernames. New users will not be able to register with usernames containing any censored words. The search is case insensitive. <strong>Censor words must be enabled in <a href="<%= url_for :action => 'options', :anchor => 'censoring' %>">Options</a> for this to have any effect.</strong></p>
							<table  cellspacing="0">
							<thead>
								<tr>
									<th class="tcl" scope="col">Censored&nbsp;word</th>
									<th class="tc2" scope="col">Replacement&nbsp;text</th>
									<th class="hidehead" scope="col">Action</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td><input type="text" name="new_search_for" size="24" maxlength="60" tabindex="1" /></td>
									<td><input type="text" name="new_replace_with" size="24" maxlength="60" tabindex="2" /></td>
									<td><input type="submit" name="add_word" value=" Add " tabindex="3" /></td>
								</tr>
							</tbody>
							</table>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Edit/remove words</legend>
						<div class="infldset">
<% if @censorings.length == 0 -%>
							<p>No censor words in list.</p>
<% else -%>
							<table cellspacing="0" >
							<thead>
								<tr>
									<th class="tcl" scope="col">Censored&nbsp;word</th>
									<th class="tc2" scope="col">Replacement&nbsp;text</th>
									<th class="hidehead" scope="col">Actions</th>
								</tr>
							</thead>
							<tbody>
<% for c in @censorings -%>
								<tr><td><input type="text" name="search_for[<%= c.id %>]" value="<%=h c.search_for %>" size="24" maxlength="60" /></td><td><input type="text" name="replace_with[<%= c.id %>]" value="<%=h c.replace_with %>" size="24" maxlength="60" /></td><td><input type="submit" name="update[<%= c.id %>]" value="Update" />&nbsp;<input type="submit" name="remove[<%= c.id %>]" value="Remove" /></td></tr>
<% end -%>
							</tbody>
							</table>
<% end -%>
						</div>
					</fieldset>
				</div>
			</form>
		</div>
	</div>
	<div class="clearer"></div>
</div>
